Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 340)
@@ -274,6 +274,7 @@
                 int TargetNum = (int)numUDYear.Value;
                 DateTime wrkStartDate = CommonMotions.GetOpeningEndDate(TargetNum, true);
                 DateTime wrkCompDate = CommonMotions.GetOpeningEndDate(TargetNum, false);
+                string CurDate = string.Empty;
 
                 tableLayoutPanel1.SuspendLayout();
 
@@ -281,9 +282,8 @@
                 for (int i = 0; i < m_CalendPage.lblMonthTitle.Length; i++)
                 {
                     // 月をセットする
-                    string CurDate = wrkStartDate.AddMonths(i).ToShortDateString();
-                    string CurYear = CurDate.Substring(0, CurDate.IndexOf("/"));
-                    string CurMonth = CurDate.Substring(CurDate.IndexOf("/") + 1, 2);
+                    string CurYear = wrkStartDate.AddMonths(i).Year.ToString();
+                    string CurMonth = wrkStartDate.AddMonths(i).Month.ToString("00");
 
                     // 期間外は表示しない
                     int nNenTuki = (CommonMotions.cnvInt(CurYear) * 100) + CommonMotions.cnvInt(CurMonth);
@@ -339,6 +339,7 @@
                             DayOfWeek dayofweek = dtweek.DayOfWeek;
                             if (dayofweek == DayOfWeek.Sunday)
                             {
+                                m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].ForeColor = Color.White;
                                 m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].BackColor = Color.Red;
                             }
                             else if (dayofweek == DayOfWeek.Saturday)
@@ -346,9 +347,15 @@
                                 int weekcnt = CommonMotions.NthWeek(dtweek);
                                 if (weekcnt == 2 || weekcnt == 4)
                                 {
+                                    m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].ForeColor = Color.White;
                                     m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].BackColor = Color.Red;
                                 }
                             }
+                            else
+                            {
+                                m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].ForeColor = Color.Black;
+                                m_CalendPage.MonthryData[i].lblDayData[ix + (iy * 7)].BackColor = Color.White;
+                            }
                             iDay++;     // 月日数
                         }
                     }
@@ -360,10 +367,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                //BizHisDB.close(); BizHisDB = null;
-            }
         }
         #endregion
 
@@ -405,6 +408,7 @@
                     int nDayCnt = m_CalendPage.MonthryData[i].lblDayData.Length;
                     for (int ix = 0; ix < nDayCnt; ix++)
                     {
+                        m_CalendPage.MonthryData[i].lblDayData[ix].ForeColor = Color.Black;
                         m_CalendPage.MonthryData[i].lblDayData[ix].BackColor = Color.White;
 
                         if (m_CalendPage.MonthryData[i].lblDayData[ix].Text.Length == 0) continue;
@@ -417,6 +421,7 @@
                         HolidayCalenderMaster FindDayRec = hcList.Find(x => CommonMotions.cnvInt(x.Holiday.ToString("yyyyMMdd")) == FindYMD);
                         if (FindDayRec == null) continue;
 
+                        m_CalendPage.MonthryData[i].lblDayData[ix].ForeColor = Color.White;
                         m_CalendPage.MonthryData[i].lblDayData[ix].BackColor = Color.Red;
                     }
                 }
@@ -695,8 +700,22 @@
         {
             try
             {
+                btnPrint.Visible = false;
                 btnDataEntry.Visible = false;
                 btnDataDelete.Visible = false;
+                btnEnd.Visible = true;
+
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnCancel.Visible = false;
+
+                foreach (MonthryData CurMonth in m_CalendPage.MonthryData)
+                {
+                    foreach (Label Curlabel in CurMonth.lblDayData)
+                    {
+                        Curlabel.DoubleClick -= new System.EventHandler(this.lblDayData_DoubleClick);
+                    }
+                }
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs	(revision 340)
@@ -334,96 +334,30 @@
         /// <param name="e"></param>
         private void btnDataDelete_Click(object sender, EventArgs e)
         {
-            IOMDepartment dmDB = new IOMDepartment();
-            IOMDepartmentExpenses expDB = new IOMDepartmentExpenses();
-            IOMApproval AppDB = new IOMApproval();
-            try
-            {
-                dmDB.connect(); dmDB.beginTran();
-                expDB.connect(); expDB.beginTran();
-                AppDB.connect(); AppDB.beginTran();
+            // データ削除
+            if (!DataDeleteProc()) return;
 
-                // 選択無は削除できない
-                if (lblDepartmentCode.Text.Length == 0) return;
+            CommonMotions.RemoveEndMessage("部署データ");
 
-                if (MessageBox.Show("表示中のデータと\r\n承認経路マスタデータを削除します。", "削除確認"
-                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+            // フィールドロック
+            ControlLock(false);
 
-                string strKey = dmDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispControl.DepartmentCode].Text));
-                StringBuilder strSQL = new StringBuilder(); 
-                List<DepartmentMaster> ReadRec = new List<DepartmentMaster>();
-                dmDB.SelectAction(strKey, ref ReadRec, false);
-                if (ReadRec.Count > 0)
-                {
-                    strSQL.AppendFormat("UPDATE DepartmentMaster Set DeleteFlg = 1 {0}", strKey);
-                    if (!dmDB.ExecuteNonQuery(strSQL.ToString(), false))
-                    {
-                        dmDB.rollback();
-                        MessageBox.Show("部署マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
-                    }
-                    strSQL.Clear();
-                    strSQL.AppendFormat("UPDATE DepartmentExpensesMaster Set DeleteFlg = 1 {0}", strKey);
-                    if (!expDB.ExecuteNonQuery(strSQL.ToString(), false))
-                    {
-                        dmDB.rollback();
-                        expDB.rollback();
-                        MessageBox.Show("部署経費マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
-                    }
-                }
+            // 表示行退避
+            int iIndex = dgvWorkList.FirstDisplayedScrollingRowIndex;
 
-                List<ApprovalMaster> AppRec = new List<ApprovalMaster>();
-                AppDB.SelectAction(strKey, ref AppRec, false);
-                if (AppRec.Count > 0)
-                {
-                    if (!AppDB.DeleteAction(strKey, false))
-                    {
-                        dmDB.rollback();
-                        expDB.rollback();
-                        AppDB.rollback();
-                        MessageBox.Show("承認経路マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
-                    }
-                }
+            // 再表示
+            DispDepartmentGridData();
 
-                dmDB.commit();
-                expDB.commit();
-                AppDB.commit();
+            // 表示行復元
+            dgvWorkList.FirstDisplayedScrollingRowIndex = iIndex;
 
-                CommonMotions.RemoveEndMessage("部署データ");
+            // クリア
+            ClearDisplay();
+            // フォーカス初期化
+            dgvWorkList.Focus();
 
-                // フィールドロック
-                ControlLock(false);
-
-                // 表示行退避
-                int iIndex = dgvWorkList.FirstDisplayedScrollingRowIndex;
-
-                // 再表示
-                DispDepartmentGridData();
-
-                // 表示行復元
-                dgvWorkList.FirstDisplayedScrollingRowIndex = iIndex;
-
-                // クリア
-                ClearDisplay();
-                // フォーカス初期化
-                dgvWorkList.Focus();
-
-                // 変更フラグクリア
-                m_bChengeAns = false;
-
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dmDB.close(); dmDB = null;
-                expDB.close(); expDB = null;
-                AppDB.close(); AppDB = null;
-            }
+            // 変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartmentAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartmentAux.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartmentAux.cs	(revision 340)
@@ -398,6 +398,85 @@
         }
         #endregion
 
+        #region データ削除
+        /// <summary>
+        /// データ削除
+        /// </summary>
+        private bool DataDeleteProc()
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            IOMDepartmentExpenses expDB = new IOMDepartmentExpenses();
+            IOMApproval AppDB = new IOMApproval();
+            try
+            {
+                dmDB.connect(); dmDB.beginTran();
+                expDB.connect(); expDB.beginTran();
+                AppDB.connect(); AppDB.beginTran();
+
+                // 選択無は削除できない
+                if (lblDepartmentCode.Text.Length == 0) return false;
+
+                if (MessageBox.Show("表示中のデータと\r\n承認経路マスタデータを削除します。", "削除確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return false;
+
+                string strKey = dmDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispControl.DepartmentCode].Text));
+                StringBuilder strSQL = new StringBuilder();
+                List<DepartmentMaster> ReadRec = new List<DepartmentMaster>();
+                dmDB.SelectAction(strKey, ref ReadRec, false);
+                if (ReadRec.Count > 0)
+                {
+                    strSQL.AppendFormat("UPDATE DepartmentMaster Set DeleteFlg = 1 {0}", strKey);
+                    if (!dmDB.ExecuteNonQuery(strSQL.ToString(), false))
+                    {
+                        dmDB.rollback();
+                        MessageBox.Show("部署マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                    strSQL.Clear();
+                    strSQL.AppendFormat("UPDATE DepartmentExpensesMaster Set DeleteFlg = 1 {0}", strKey);
+                    if (!expDB.ExecuteNonQuery(strSQL.ToString(), false))
+                    {
+                        dmDB.rollback();
+                        expDB.rollback();
+                        MessageBox.Show("部署経費マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                List<ApprovalMaster> AppRec = new List<ApprovalMaster>();
+                AppDB.SelectAction(strKey, ref AppRec, false);
+                if (AppRec.Count > 0)
+                {
+                    if (!AppDB.DeleteAction(strKey, false))
+                    {
+                        dmDB.rollback();
+                        expDB.rollback();
+                        AppDB.rollback();
+                        MessageBox.Show("承認経路マスタ削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                dmDB.commit();
+                expDB.commit();
+                AppDB.commit();
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                dmDB.close(); dmDB = null;
+                expDB.close(); expDB = null;
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
         #region 工事情報担当者部署確認
         /// <summary>
         /// 工事情報担当者部署確認
@@ -724,7 +803,7 @@
                 strSQL += string.Format(" WHERE DEPARTMENTCODE = {0}) B", m_DepartmentCode);
                 strSQL += " ON A.NAMECODE = B.NAMECODE";
                 strSQL += string.Format(" AND B.EXPENSESPERIOD = {0}", CommonMotions.cnvInt(numUDPeriod.Value));
-                strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)DivisionMaster.DivisionMasterCodeDefine.ConstructionExpenses);
+                strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)DivisionMaster.DivisionMasterCodeDef.ConstructionExpenses);
                 strSQL += " ORDER BY A.DISPLAYORDER";
                 ArrayList arData = new ArrayList();
                 expDB.ExecuteReader(strSQL, ref arData);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 340)
@@ -629,8 +629,8 @@
 
                 // 経費率マスタ取得
                 // ValueからKeyを検索
-                int DivisionCode = (int)DivisionMaster.DivisionMasterCodeDefine.ConstructionClass;
-                int KeihirituCode = (int)DivisionMaster.DivisionMasterCodeDefine.ConstructionExpenses;
+                int DivisionCode = (int)DivisionMaster.DivisionMasterCodeDef.ConstructionClass;
+                int KeihirituCode = (int)DivisionMaster.DivisionMasterCodeDef.ConstructionExpenses;
 
                 string strSQL = "Select";
                 strSQL += " A.NameCode,";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 339)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 340)
@@ -1256,7 +1256,7 @@
                 // ValueからKeyを検索
                 //string DivisionName = CommonDefine.DivisionMasterCode[1];
                 //int DivisionCode = CommonDefine.DivisionMasterCode.First(x => x.Value == DivisionName).Key;
-                int DivisionCode = (int)DivisionMaster.DivisionMasterCodeDefine.OrderDivision;
+                int DivisionCode = (int)DivisionMaster.DivisionMasterCodeDef.OrderDivision;
                 string strSQL = dvDB.CreatePrimarykeyString(DivisionCode) + " And DeleteFlg = 0 ORDER BY DISPLAYORDER";
                 if (!dvDB.SelectAction(strSQL, ref bvList)) return;
                 if (bvList.Count == 0) return;
